Package org.apache.catalina.authenticator.jaspic

## Class SimpleServerAuthContext

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.SimpleServerAuthContext

All Implemented Interfaces:
  `ServerAuthContext`, `ServerAuth`

    public class SimpleServerAuthContext
    extends java.lang.Object
    implements ServerAuthContext

Basic implementation primarily intended for use when using third-party `ServerAuthModule` implementations that only provide the module. This implementation supports multiple modules and will treat the user as authenticated if any one module is able to authenticate the user.

### Constructor Summary

Constructors
`SimpleServerAuthContext​(java.util.List<ServerAuthModule> modules)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cleanSubject​(MessageInfo messageInfo, javax.security.auth.Subject subject)`
`AuthStatus` `secureResponse​(MessageInfo messageInfo, javax.security.auth.Subject serviceSubject)`
`AuthStatus` `validateRequest​(MessageInfo messageInfo, javax.security.auth.Subject clientSubject, javax.security.auth.Subject serviceSubject)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleServerAuthContext

    public SimpleServerAuthContext​(java.util.List<ServerAuthModule> modules)

### Method Detail

#### validateRequest

    public AuthStatus validateRequest​(MessageInfo messageInfo,
                                      javax.security.auth.Subject clientSubject,
                                      javax.security.auth.Subject serviceSubject)
                               throws AuthException

Specified by:
  `validateRequest` in interface `ServerAuth`
Throws:
  `AuthException`

#### secureResponse

    public AuthStatus secureResponse​(MessageInfo messageInfo,
                                     javax.security.auth.Subject serviceSubject)
                              throws AuthException

Specified by:
  `secureResponse` in interface `ServerAuth`
Throws:
  `AuthException`

#### cleanSubject

    public void cleanSubject​(MessageInfo messageInfo,
                             javax.security.auth.Subject subject)
                      throws AuthException

Specified by:
  `cleanSubject` in interface `ServerAuth`
Throws:
  `AuthException`